# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "ma"
version = "0.6.2"
build = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Mail Archivist"
readme = "README.md"
keywords = [
    "mail",
    "email",
    "archive",
    "database",
]
categories = [
    "email",
    "command-line-utilities",
]
license-file = "LICENSE"
repository = "https://github.com/xandkar/ma"

[lib]
name = "ma"
path = "src/lib.rs"

[[bin]]
name = "ma"
path = "src/main.rs"

[dependencies.anyhow]
version = "1.0.86"
features = ["backtrace"]

[dependencies.async-imap]
version = "0.9.7"
features = ["runtime-tokio"]
default-features = false

[dependencies.clap]
version = "4.5.10"
features = ["derive"]

[dependencies.flate2]
version = "1.0.30"

[dependencies.futures]
version = "0.3.30"

[dependencies.indicatif]
version = "0.17.8"

[dependencies.mail-parser]
version = "0.9.3"

[dependencies.mailparse]
version = "0.15.0"

[dependencies.rustls]
version = "0.22.2"

[dependencies.rustls-pki-types]
version = "1.1.0"

[dependencies.serde]
version = "1.0.204"
features = ["derive"]

[dependencies.sha2]
version = "0.10.8"

[dependencies.sqlx]
version = "0.8.0"
features = [
    "runtime-tokio",
    "sqlite",
]

[dependencies.thiserror]
version = "1.0.63"

[dependencies.tokio]
version = "1.39.1"
features = [
    "full",
    "tracing",
]

[dependencies.tokio-rustls]
version = "0.25.0"

[dependencies.toml]
version = "0.8.16"

[dependencies.tracing]
version = "0.1.40"

[dependencies.tracing-subscriber]
version = "0.3.18"
features = ["env-filter"]

[dependencies.webpki-roots]
version = "0.26.0"

[dev-dependencies.tempfile]
version = "3.10.1"
